%define realname qwt
%define major 5

Name: libqwt5
Version: 5.2.2
Release: %mkrel 7
Summary: 2D plotting widget extension to the Qt GUI
License: Qwt License 1.0
Group: System/Libraries
Url: http://sourceforge.net/projects/qwt
Source: http://freefr.dl.sourceforge.net/sourceforge/qwt/%realname-%version.tar.bz2
Patch0: qwt-5.2.2-qwtconfig-installbase.patch
BuildRequires: qt4-devel

%description
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientifical purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

#------------------------------------------------------------------------------
%define libname %mklibname qwt %{major}

%if %_lib != lib
%package -n %libname 
Summary: 2D plotting widget extension to the Qt GUI
Group: System/Libraries

%description -n %libname
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientifical purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

This package provides the runtime library.
%endif

%files -n %libname
%doc CHANGES COPYING README
%{_qt4_libdir}/libqwt.so.%{major}*

#------------------------------------------------------------------------------

%define libnamedev %mklibname qwt5 -d

%package -n %libnamedev
Summary: Development tools for programs which uses Qwt Widget set
Group: System/Libraries
Requires: %libname = %version
Provides: libqwt5-devel = %version-%release
Provides: qwt5-devel =  %{version}-%{release}
Conflicts: libqwt-devel >= 6.0.1

%description -n %libnamedev
The libqwt-devel package contains the header files and static libraries
necessary for developing programs using the Qwt Widget set

If you want to develop programs which will use this set of widgets,
you should install this package. You need also to install the libqwt package.

%files -n %libnamedev
%doc COPYING 
%doc examples
%docdir %{_qt4_docdir}/html/
%{_qt4_docdir}/html/qwt/
%{_qt4_includedir}/*
%{_qt4_libdir}/*.so
%{_mandir}/man3/*

#------------------------------------------------------------------------------

%prep
%setup -q -n %realname-%version
%apply_patches


%build
%qmake_qt4 CONFIG+=QwtSVGItem CONFIG+=install-qt
%make

%install
make install INSTALL_ROOT=%{buildroot}
#libqwt_designer_plugin.so conflicts with libqwt6
rm %{buildroot}/%{_qt4_plugindir}/designer/libqwt_designer_plugin.so

mkdir -p %{buildroot}%{_mandir}/man3/
install doc/man/man3/* %{buildroot}%{_mandir}/man3/

mv %{buildroot}/%{_qt4_docdir}/html/html %{buildroot}/%{_qt4_docdir}/html/qwt


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 5.2.2-7.mga3
+ Revision: 358050
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 22 2012 barjac <barjac> 5.2.2-6.mga3
+ Revision: 321092
- added Provides: qwt5-devel

* Tue Nov 20 2012 zezinho <zezinho> 5.2.2-5.mga3
+ Revision: 319880
- remove libqwt_designer_plugin.so as it conflicts with libqwt6

* Sun Nov 18 2012 zezinho <zezinho> 5.2.2-4.mga3
+ Revision: 319476
- new package name for major 5
- bring back libqwt major 5
- spec cleanup

* Tue Dec 27 2011 dmorgan <dmorgan> 5.2.2-2.mga2
+ Revision: 187989
- Rebuild against new qt4 and new include path

* Mon Dec 12 2011 mikala <mikala> 5.2.2-1.mga2
+ Revision: 181023
- Update tarball to 5.2.2
- sync patch0 with fedora's one
- drop patch1
- change spec layout
- fix description
- remove %%clean & %%defattr()

* Fri Apr 01 2011 ahmad <ahmad> 5.2.1-3.mga1
+ Revision: 79417
- drop old/unneeded scriptlets
- imported package libqwt

